GEOS 3.3.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::io::WKBWriter Class Reference

Writes a Geometry into Well-Known Binary format. More...

`#include <geos.h>`

## Public Member Functions
| WKBWriter (int dims=2, int bo=getMachineByteOrder(), bool includeSRID=false)
virtual int | getOutputDimension () const
virtual void | setOutputDimension (int newOutputDimension)
virtual int | getByteOrder () const
virtual void | setByteOrder (int newByteOrder)
virtual int | getIncludeSRID () const
virtual void | setIncludeSRID (int newIncludeSRID)
void | write (const geom::Geometry &g, std::ostream &os)
| Write a Geometry to an ostream.
void | writeHEX (const geom::Geometry &g, std::ostream &os)
| Write a Geometry to an ostream in binary hex format.

## Detailed Description

Writes a Geometry into Well-Known Binary format.

The WKB format is specified in the OGC Simple Features for SQL specification. This implementation supports the extended WKB standard for representing 3-dimensional coordinates. The presence of 3D coordinates is signified by setting the high bit of the wkbType word.

Empty Points cannot be represented in WKB; an IllegalArgumentException will be thrown if one is written. The WKB specification does not support representing LinearRing they will be written as LineString

This class is designed to support reuse of a single instance to read multiple geometries. This class is not thread-safe; each thread should create its own instance.

See Also
  WKBReader

## Member Function Documentation

void geos::io::WKBWriter::write | ( | const geom::Geometry & | g,
|  | std::ostream & | os
| ) |  |

Write a Geometry to an ostream.

Parameters

  g | the geometry to write
  os | the output stream

Exceptions

  IOException |

void geos::io::WKBWriter::writeHEX | ( | const geom::Geometry & | g,
|  | std::ostream & | os
| ) |  |

Write a Geometry to an ostream in binary hex format.

Parameters

  g | the geometry to write
  os | the output stream

Exceptions

  IOException |

The documentation for this class was generated from the following file:

- WKBWriter.h